﻿
$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://github.com/t1m0thyj/WinDynamicDesktop/releases/download/v5.4.1/WinDynamicDesktop_5.4.1_x86_Setup.exe'
$url64      = 'https://github.com/t1m0thyj/WinDynamicDesktop/releases/download/v5.4.1/WinDynamicDesktop_5.4.1_x64_Setup.exe'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64         = $url64

  softwareName  = 'WinDynamicDesktop*'

  checksum      = '7e505bcf26677c41781ff9baa37c1eb349621ab04edac78c85534f53bb24f31a'
  checksumType  = 'sha256'
  checksum64    = 'a6b60fc2e4cce719c6be38ab69ccd934c44be005f706016b2b257cc7064756aa'
  checksumType64= 'sha256'

  silentArgs    = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP- /RESTARTAPPLICATIONS'
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs
